## Delete connection

### JavaScript

```javascript
const options = {
  method: 'DELETE',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({containerTags: ['user_123', 'project_123']})
};

fetch('https://api.supermemory.ai/v3/connections/{provider}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### Responses

- **200**
- **401**
- **404**
- **500**

```json
{
  "id": "<string>",
  "provider": "<string>"
}
```

### Authorizations

**Authorization**  
`string`  
*header required*  
Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Path Parameters

**provider**  
`enum<string>`  
*required*  
Available options:
- `notion`
- `google-drive`
- `onedrive`
- `gmail`
- `github`
- `web-crawler`
- `s3`

### Body

**containerTags**  
`string[]`  
*required*  
Optional comma-separated list of container tags to filter connections by  
Maximum string length: `100`  
Pattern: `^[a-zA-Z0-9_:-]+$`  
Example:
```json
["user_123", "project_123"]
```

### Response

- **200**  
  *application/json*  
  Connection deleted successfully  
  - **id**  
    *string required*  
  - **provider**  
    *string required*

---

**Documentation Index**  
Fetch the complete documentation index at: [https://supermemory.ai/docs/llms.txt](/content/docs/llms.txt)  
Use this file to discover all available pages before exploring further.
